POST
/sourcemaprequestCreate Source Map Request
This method allows users to request the mapping of a hotel to a source that it is not currently linked to. Users must provide the hotelcode and the sourceCode. A unique requestid is automatically generated for each mapping request. You can refer to the list of supported sources for Ratings and Review extraction at the GET/reference/sources endpoint in the Reference section.
- •hotelCode: The code for the hotel to be mapped.
- •sourceCodes: The code of the source if it exists in our database.
- •url: The base URL of the source to be mapped.
POST
/sourcemaprequestMandatory Fields
- hotelCode
- sourceCodes
Status Codes
- 1 - Queue
- 2 - Work in progress
- 3 - Completed
- 4 - Source already exists in the system and website code is available
- 5 - Not Feasible
Parameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | Required | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Created | |
| 400 | Bad Request | Bad Request | None |
| 401 | Unauthorized | Authorization Failed | None |
| 429 | Too Many Requests | Too Many Requests | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /sourcemaprequest \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'Body parameter
{
"hotelCode": 0,
"sourceCodes": [
0
],
"urls": [
"string"
]
}Example responses
201 Response
{
"requestId": 0,
"hotelCode": 0,
"sourceCodes": [
0
],
"urls": [
"string"
],
"status": 1,
"approximateTime": 0,
"createdDate": "2024-04-30T08:10:49.835Z"
}Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.